%define _requires_exceptions typelib(Unity)

%define major 2
%define libname %mklibname %name %major
%define girmajor 0.2
%define girname %mklibname %name-gir %girmajor
%define develname %mklibname %name -d

Name:		gwibber
Version:	3.2.1
Release:	%mkrel 1
Summary:	An open source microblogging client for GNOME developed with Python and GTK
Group:		Networking/Other
License:	GPLv2+
URL:		https://launchpad.net/gwibber
Source0:	http://launchpad.net/gwibber/trunk/%{version}/+download/gwibber-%{version}.tar.xz
Patch0:		gwibber-3.2.0-vala.patch
Patch1:		gwibber-3.2.0-syntax.patch
Patch2:		gwibber-3.2.0-add-conditional.patch
Patch3:		gwibber-3.2.1-pkgconfig.patch
BuildRequires: pkgconfig(dee-1.0) >= 0.5
BuildRequires: pkgconfig(gdk-3.0) >= 3.0
BuildRequires: pkgconfig(gee-1.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.26
BuildRequires: pkgconfig(glib-2.0) >= 2.26
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0) >= 2.26
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.10
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libnotify) >= 0.7
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: intltool >= 0.35.0
BuildRequires: vala >= 0.11.6
BuildRequires: python-devel >= 2.6
Requires:	python-oauth
Requires:	%{_lib}dee1.0_1

%description
Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.

%package devel
Summary: Development files for Gwibber
Group: Development/Libraries
Requires: %name = %version

%description devel
Development files for Gwibber.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0 -b .orig
%patch3 -p0

find -name *.c | xargs rm

%build
autoreconf -fi
%configure2_5x --disable-spell --disable-unity --disable-schemas-compile \
	--disable-dependency-tracking
%make

%install
%makeinstall_std

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


rm -f %buildroot%{_libdir}/*.la %buildroot%{_libdir}/*.a

%find_lang %{name}
 
%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/dbus-1/services/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/indicators/messages/applications/gwibber.indicator
%{py_puresitedir}/gwibber
%{_datadir}/GConf/gsettings/*.convert
%{_mandir}/man1/*

%{_libdir}/*.so.%major
%{_libdir}/*.so.%major.*

%{_libdir}/girepository-1.0/Gwibber*-%{girmajor}.typelib

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps


%changelog
* Mon Oct 31 2011 Texstar <texstar at gmail.com> 3.2.1-1pclos2011
- 3.2.1
